Bug 247634

Summary: mail/opendkim: Fails to package with with OpenDBX support
Product: Ports & Packages Reporter: pawel
Component: Individual Port(s)Assignee: Alexey Dokuchaev <danfe>
Status: Closed FIXED    
Severity: Affects Some People CC: danfe, freebsd-ports, pi
Priority: --- Flags: koobs: maintainer-feedback? (freebsd-ports)
koobs: merge-quarterly?
Version: Latest   
Hardware: amd64   
OS: Any   

Description pawel 2020-06-29 13:10:57 UTC
OpenDKIM is built with OpenDBX suppport (also from ports, postgreSQL enabled). 
After make install I get:
===>  Installing for opendkim-2.10.3_11
===>  Checking if opendkim is already installed
===>   Registering installation for opendkim-2.10.3_11
pkg-static: Unable to access file /var/ports/usr/ports/mail/opendkim/work/stageusr/local/bin/opendkim-spam:No such file or directory
pkg-static: Unable to access file /var/ports/usr/ports/mail/opendkim/work/stageusr/local/sbin/opendkim-importstats:No such file or directory
pkg-static: Unable to access file /var/ports/usr/ports/mail/opendkim/work/stageusr/local/man/man1/opendkim-spam.1.gz:No such file or directory
pkg-static: Unable to access file /var/ports/usr/ports/mail/opendkim/work/stageusr/local/man/man8/opendkim-importstats.8.gz:No such file or directory

There is missing slash in path: ...opendkim/work/stageusr... 
It should look like ...opendkim/work/stage/usr...
Comment 1 commit-hook freebsd_committer 2020-07-10 13:11:01 UTC
A commit references this bug:

Author: danfe
Date: Fri Jul 10 13:10:57 UTC 2020
New revision: 541860
URL: https://svnweb.freebsd.org/changeset/ports/541860

Log:
  Unbreak the build with options GNUTLS and/or OPENDBX.

  PR:	247634

Changes:
  head/mail/opendkim/files/patch-libopendkim_dkim.c
  head/mail/opendkim/pkg-plist
Comment 2 Alexey Dokuchaev freebsd_committer 2020-07-10 13:13:40 UTC
Should be fixed with ports r541860, thanks.
Comment 3 pawel 2020-07-10 13:16:20 UTC
Great!
Thanks.
Comment 4 Kurt Jaeger freebsd_committer 2020-07-21 12:27:19 UTC
See also
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=211723